Package org.springframework.security.web.server.header

# Enum Class CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy

java.lang.Object
java.lang.Enum<CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy>
org.springframework.security.web.server.header.CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy>`, `Constable`

Enclosing class:
  CrossOriginResourcePolicyServerHttpHeadersWriter

public static enum CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy extends Enum<CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CROSS_ORIGIN`
`SAME_ORIGIN`
`SAME_SITE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPolicy()`
`static CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SAME_SITE

public static final CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy SAME_SITE

### SAME_ORIGIN

public static final CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy SAME_ORIGIN

### CROSS_ORIGIN

public static final CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy CROSS_ORIGIN

## Method Details

### values

public static CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CrossOriginResourcePolicyServerHttpHeadersWriter.CrossOriginResourcePolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPolicy

public String getPolicy()